Page MenuHomePhabricator

Fix wgContentLanguage on deployment.wikimedia.beta
Closed, ResolvedPublic

Description

Per T183494#3855303

wgContentLanguage is deployment. Probably a bug in beta cluster config, although the widget should handle it more gracefully.

$wgContentLang on https://deployment.wikimedia.beta.wmflabs.org/ is deployment, causing various bugs. It probably should be en? (On the other hand, having a place to test whether everything handles an invalid content language gracefully is maybe not a bad thing?)

Event Timeline

Addshore created this task.Dec 21 2017, 8:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 21 2017, 8:39 PM
Addshore renamed this task from Fix wgContentLanguage on deployment.beta to Fix wgContentLanguage on deployment.wikimedia.beta.Dec 21 2017, 8:39 PM

Change 399698 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Fix wgContentLanguage on deployment.wikimedia.beta

https://gerrit.wikimedia.org/r/399698

Change 399698 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix wgContentLanguage on deployment.wikimedia.beta

https://gerrit.wikimedia.org/r/399698

Mentioned in SAL (#wikimedia-operations) [2017-12-23T12:20:15Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings-labs.php: BETA ONLY T183499 [[gerrit:399698|Fix wgContentLanguage on deployment.wikimedia.beta]] (duration: 00m 52s)

Addshore closed this task as Resolved.Dec 23 2017, 12:20 PM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptDec 23 2017, 12:20 PM